   // JavaScript popup based on code originally found at http://www.helpmaster.com/htmlhelp/javascript/popjbpopup.htm       
  var ie4=document.all&&navigator.userAgent.indexOf("Opera")==-1
  var ns6=document.getElementById&&!document.all
  var ns4=document.layers
  var dummy=1


  function showPopup(text, eventObj){       
   if(!document.all && document.getElementById)       
   { document.all=document.getElementsByTagName("*")}       
   ieLayer = 'document.all[\'popup\']';       
   nnLayer = 'document.layers[\'popup\']';       
   moLayer = 'document.getElementById(\'popup\')';       

   if(!(document.all||document.layers||document.documentElement)) return;       
        if(document.all) { document.popup=eval(ieLayer); 
      }
   else 
      {
     if (document.documentElement) document.popup=eval(moLayer);       
     else document.popup=eval(nnLayer);       
   }       

  var table = "";       

  if (document.all||document.documentElement)
  {       
    table += "<table bgcolor='#ffffff' border=1 cellpadding=0 cellspacing=0>";       
    table += "<tr><td>";       
    table += "<table cellspacing=0 cellpadding=0>";       
    table += "<tr><td>" + text + "</td></tr>";       
    table += "</table></td></tr></table>"       
    document.popup.innerHTML = table;       
    myy=ie4? event.clientY  : ns6? eventObj.clientY : e.y  
    myx=ie4? event.clientX  : ns6? eventObj.clientX : e.x  

    if (myy > 300)
     { myy= ie4? document.body.scrollTop  + event.clientY -document.popup.offsetHeight-5: ns6? window.pageYOffset + myy -document.popup.offsetHeight-5: myy-document.popup.offsetHeight-5 ;}
    else 
     { myy=ie4? event.clientY +5 : ns6? window.pageYOffset + eventObj.clientY +5 : e.y  +5 }

    if (myx > 400)
     { myx= ie4? document.body.scrollLeft + event.clientX -document.popup.offsetWidth-5: ns6? window.pageXOffset + myx -document.popup.offsetWidth-5: myx-document.popup.offsetWidth-5 ;}
    else 
     { myx=ie4? event.clientX +5 : ns6? window.pageXOffset + eventObj.clientX +5 : e.x  +5 }
 
    if (myx < 0){myx=0;}
    document.popup.style.left = (document.all ? myx : eventObj.layerX) + 3;       
    document.popup.style.top  = myy;       
    // document.popup.style.zIndex = eventObj.style.zIndex +1;  
    document.popup.style.visibility = "visible";       
  }        
  else
  {       
    table += "<table bgcolor='#ffffff' border=1 cellpadding=0 cellspacing=0>";        
    table += "<tr><td>" + text + "</td></tr></table>";       
    document.popup.document.open();       
    document.popup.document.write(table);       
    document.popup.document.close();       
    document.popup.left = eventObj.layerX + 3;       
  
    if(document.popup.left + document.popup.document.width + 3 > window.innerWidth) document.popup.left = window.innerWidth - document.popup.document.width - 3 - 16;       
    document.popup.top  = eventObj.layerY + 3;       
  
    if(document.popup.top + document.popup.document.height + 3 > window.innerHeight) document.popup.top = window.innerHeight - document.popup.document.height - 3 - 16;       
    document.popup.visibility = "visible";  
 
   }       
  }       


  function hidePopup(){        
  if (!(document.all || document.layers || document.documentElement)) return;       
  if (document.popup == null){ }       
  else if (document.all||document.documentElement) document.popup.style.visibility = "hidden";       
  else document.popup.visibility = "hidden";       
  document.popup = null;       
  }       
    


 function getObj(name)
 {
   if (document.getElementById)
   {
     this.obj = document.getElementById(name);
     this.style   = document.getElementById(name).style;
     this.width   = document.getElementById(name).width;
     this.clientY = document.getElementById(name).clientY;
     this.offsetHeight       = document.getElementById(name).offsetTop;
     this.height  = document.getElementById(name).height;
     this.zIndex  = document.getElementById(name).zIndex;
    }
   else if (document.all)
   {
      this.obj    = document.all[name];
      this.style  = document.all[name].style;
      this.width  = document.all[name].width;
      this.offsetHeight       = document.all[name].offsetTop;
      this.height = document.all[name].height;
      this.zIndex = document.all[name].zIndex;
    }
   else if (document.layers)
    {
     this.obj    = document.layers[name];
     this.style  = document.layers[name];
     this.width  = document.layers[width];
     this.offsetHeight       = document.layers[offsetTop];
     this.height = document.layers[height];
     this.zIndex = document.layers[zIndex];
   }
  }
